Commit 96136804 authored by Mateusz Loskot's avatar Mateusz Loskot

Add changelog.sh utility to generate CHANGELOG.md from GitHub

[ci skip]
parent 0621bd61
#!/bin/bash -e
# Generates CHANGELOG.md for SOCI project.
#
# Runs github-changelog-generator to automatically generate changelog
# from your tags, closed issues and merged pull requests.
#
# Requirements:
# - https://github.com/skywinder/github-changelog-generator
#
# Copyright (c) 2017 Mateusz Loskot <mateusz@loskot.net>
#
if [[ -z "$CHANGELOG_GITHUB_TOKEN" ]]; then
echo "Environment variable CHANGELOG_GITHUB_TOKEN not found!" >&2
echo "GitHub API token is required to avoid hitting limit of requests per hour." >&2
exit 1
fi
if ! type "github_changelog_generator" > /dev/null; then
echo "github_changelog_generator not found." >&2
echo "Go to https://github.com/skywinder/github-changelog-generator"
exit 1
fi
github_changelog_generator --verbose --date-format "%Y-%m-%d"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment